IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/24
Addresses2^104
/64 networks2^40
- Network
fc7e:ec00::/24- First address
fc7e:ec00::- Last address
fc7e:ecff:ffff:ffff:ffff:ffff:ffff:ffff- Addresses
- 20,282,409,603,651,670,423,947,251,286,016 (2^104)
- /64 networks (LANs)
- 1,099,511,627,776 (2^40)
- Full form
fc7e:ec00:0000:0000:0000:0000:0000:0000- Type
- Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8 - Reverse DNS zone
c.e.e.7.c.f.ip6.arpa
Split into smaller subnets
fc7e:ec00::/24 makes 256 subnets of /32.
| # | Subnet | Last address |
|---|---|---|
| 1 | fc7e:ec00::/32 | fc7e:ec00:ffff:ffff:ffff:ffff:ffff:ffff |
| 2 | fc7e:ec01::/32 | fc7e:ec01:ffff:ffff:ffff:ffff:ffff:ffff |
| 3 | fc7e:ec02::/32 | fc7e:ec02:ffff:ffff:ffff:ffff:ffff:ffff |
| 4 | fc7e:ec03::/32 | fc7e:ec03:ffff:ffff:ffff:ffff:ffff:ffff |
| 5 | fc7e:ec04::/32 | fc7e:ec04:ffff:ffff:ffff:ffff:ffff:ffff |
| 6 | fc7e:ec05::/32 | fc7e:ec05:ffff:ffff:ffff:ffff:ffff:ffff |
| 7 | fc7e:ec06::/32 | fc7e:ec06:ffff:ffff:ffff:ffff:ffff:ffff |
| 8 | fc7e:ec07::/32 | fc7e:ec07:ffff:ffff:ffff:ffff:ffff:ffff |
| 9 | fc7e:ec08::/32 | fc7e:ec08:ffff:ffff:ffff:ffff:ffff:ffff |
| 10 | fc7e:ec09::/32 | fc7e:ec09:ffff:ffff:ffff:ffff:ffff:ffff |
| 11 | fc7e:ec0a::/32 | fc7e:ec0a:ffff:ffff:ffff:ffff:ffff:ffff |
| 12 | fc7e:ec0b::/32 | fc7e:ec0b:ffff:ffff:ffff:ffff:ffff:ffff |
| 13 | fc7e:ec0c::/32 | fc7e:ec0c:ffff:ffff:ffff:ffff:ffff:ffff |
| 14 | fc7e:ec0d::/32 | fc7e:ec0d:ffff:ffff:ffff:ffff:ffff:ffff |
| 15 | fc7e:ec0e::/32 | fc7e:ec0e:ffff:ffff:ffff:ffff:ffff:ffff |
| 16 | fc7e:ec0f::/32 | fc7e:ec0f:ffff:ffff:ffff:ffff:ffff:ffff |
| 17 | fc7e:ec10::/32 | fc7e:ec10:ffff:ffff:ffff:ffff:ffff:ffff |
| 18 | fc7e:ec11::/32 | fc7e:ec11:ffff:ffff:ffff:ffff:ffff:ffff |
| 19 | fc7e:ec12::/32 | fc7e:ec12:ffff:ffff:ffff:ffff:ffff:ffff |
| 20 | fc7e:ec13::/32 | fc7e:ec13:ffff:ffff:ffff:ffff:ffff:ffff |
| 21 | fc7e:ec14::/32 | fc7e:ec14:ffff:ffff:ffff:ffff:ffff:ffff |
| 22 | fc7e:ec15::/32 | fc7e:ec15:ffff:ffff:ffff:ffff:ffff:ffff |
| 23 | fc7e:ec16::/32 | fc7e:ec16:ffff:ffff:ffff:ffff:ffff:ffff |
| 24 | fc7e:ec17::/32 | fc7e:ec17:ffff:ffff:ffff:ffff:ffff:ffff |
| 25 | fc7e:ec18::/32 | fc7e:ec18:ffff:ffff:ffff:ffff:ffff:ffff |
| 26 | fc7e:ec19::/32 | fc7e:ec19:ffff:ffff:ffff:ffff:ffff:ffff |
| 27 | fc7e:ec1a::/32 | fc7e:ec1a:ffff:ffff:ffff:ffff:ffff:ffff |
| 28 | fc7e:ec1b::/32 | fc7e:ec1b:ffff:ffff:ffff:ffff:ffff:ffff |
| 29 | fc7e:ec1c::/32 | fc7e:ec1c:ffff:ffff:ffff:ffff:ffff:ffff |
| 30 | fc7e:ec1d::/32 | fc7e:ec1d:ffff:ffff:ffff:ffff:ffff:ffff |
| 31 | fc7e:ec1e::/32 | fc7e:ec1e:ffff:ffff:ffff:ffff:ffff:ffff |
| 32 | fc7e:ec1f::/32 | fc7e:ec1f:ffff:ffff:ffff:ffff:ffff:ffff |
| 33 | fc7e:ec20::/32 | fc7e:ec20:ffff:ffff:ffff:ffff:ffff:ffff |
| 34 | fc7e:ec21::/32 | fc7e:ec21:ffff:ffff:ffff:ffff:ffff:ffff |
| 35 | fc7e:ec22::/32 | fc7e:ec22:ffff:ffff:ffff:ffff:ffff:ffff |
| 36 | fc7e:ec23::/32 | fc7e:ec23:ffff:ffff:ffff:ffff:ffff:ffff |
| 37 | fc7e:ec24::/32 | fc7e:ec24:ffff:ffff:ffff:ffff:ffff:ffff |
| 38 | fc7e:ec25::/32 | fc7e:ec25:ffff:ffff:ffff:ffff:ffff:ffff |
| 39 | fc7e:ec26::/32 | fc7e:ec26:ffff:ffff:ffff:ffff:ffff:ffff |
| 40 | fc7e:ec27::/32 | fc7e:ec27:ffff:ffff:ffff:ffff:ffff:ffff |
| 41 | fc7e:ec28::/32 | fc7e:ec28:ffff:ffff:ffff:ffff:ffff:ffff |
| 42 | fc7e:ec29::/32 | fc7e:ec29:ffff:ffff:ffff:ffff:ffff:ffff |
| 43 | fc7e:ec2a::/32 | fc7e:ec2a:ffff:ffff:ffff:ffff:ffff:ffff |
| 44 | fc7e:ec2b::/32 | fc7e:ec2b:ffff:ffff:ffff:ffff:ffff:ffff |
| 45 | fc7e:ec2c::/32 | fc7e:ec2c:ffff:ffff:ffff:ffff:ffff:ffff |
| 46 | fc7e:ec2d::/32 | fc7e:ec2d:ffff:ffff:ffff:ffff:ffff:ffff |
| 47 | fc7e:ec2e::/32 | fc7e:ec2e:ffff:ffff:ffff:ffff:ffff:ffff |
| 48 | fc7e:ec2f::/32 | fc7e:ec2f:ffff:ffff:ffff:ffff:ffff:ffff |
| 49 | fc7e:ec30::/32 | fc7e:ec30:ffff:ffff:ffff:ffff:ffff:ffff |
| 50 | fc7e:ec31::/32 | fc7e:ec31:ffff:ffff:ffff:ffff:ffff:ffff |
| 51 | fc7e:ec32::/32 | fc7e:ec32:ffff:ffff:ffff:ffff:ffff:ffff |
| 52 | fc7e:ec33::/32 | fc7e:ec33:ffff:ffff:ffff:ffff:ffff:ffff |
| 53 | fc7e:ec34::/32 | fc7e:ec34:ffff:ffff:ffff:ffff:ffff:ffff |
| 54 | fc7e:ec35::/32 | fc7e:ec35:ffff:ffff:ffff:ffff:ffff:ffff |
| 55 | fc7e:ec36::/32 | fc7e:ec36:ffff:ffff:ffff:ffff:ffff:ffff |
| 56 | fc7e:ec37::/32 | fc7e:ec37:ffff:ffff:ffff:ffff:ffff:ffff |
| 57 | fc7e:ec38::/32 | fc7e:ec38:ffff:ffff:ffff:ffff:ffff:ffff |
| 58 | fc7e:ec39::/32 | fc7e:ec39:ffff:ffff:ffff:ffff:ffff:ffff |
| 59 | fc7e:ec3a::/32 | fc7e:ec3a:ffff:ffff:ffff:ffff:ffff:ffff |
| 60 | fc7e:ec3b::/32 | fc7e:ec3b:ffff:ffff:ffff:ffff:ffff:ffff |
| 61 | fc7e:ec3c::/32 | fc7e:ec3c:ffff:ffff:ffff:ffff:ffff:ffff |
| 62 | fc7e:ec3d::/32 | fc7e:ec3d:ffff:ffff:ffff:ffff:ffff:ffff |
| 63 | fc7e:ec3e::/32 | fc7e:ec3e:ffff:ffff:ffff:ffff:ffff:ffff |
| 64 | fc7e:ec3f::/32 | fc7e:ec3f:ffff:ffff:ffff:ffff:ffff:ffff |
| 65 | fc7e:ec40::/32 | fc7e:ec40:ffff:ffff:ffff:ffff:ffff:ffff |
| 66 | fc7e:ec41::/32 | fc7e:ec41:ffff:ffff:ffff:ffff:ffff:ffff |
| 67 | fc7e:ec42::/32 | fc7e:ec42:ffff:ffff:ffff:ffff:ffff:ffff |
| 68 | fc7e:ec43::/32 | fc7e:ec43:ffff:ffff:ffff:ffff:ffff:ffff |
| 69 | fc7e:ec44::/32 | fc7e:ec44:ffff:ffff:ffff:ffff:ffff:ffff |
| 70 | fc7e:ec45::/32 | fc7e:ec45:ffff:ffff:ffff:ffff:ffff:ffff |
| 71 | fc7e:ec46::/32 | fc7e:ec46:ffff:ffff:ffff:ffff:ffff:ffff |
| 72 | fc7e:ec47::/32 | fc7e:ec47:ffff:ffff:ffff:ffff:ffff:ffff |
| 73 | fc7e:ec48::/32 | fc7e:ec48:ffff:ffff:ffff:ffff:ffff:ffff |
| 74 | fc7e:ec49::/32 | fc7e:ec49:ffff:ffff:ffff:ffff:ffff:ffff |
| 75 | fc7e:ec4a::/32 | fc7e:ec4a:ffff:ffff:ffff:ffff:ffff:ffff |
| 76 | fc7e:ec4b::/32 | fc7e:ec4b:ffff:ffff:ffff:ffff:ffff:ffff |
| 77 | fc7e:ec4c::/32 | fc7e:ec4c:ffff:ffff:ffff:ffff:ffff:ffff |
| 78 | fc7e:ec4d::/32 | fc7e:ec4d:ffff:ffff:ffff:ffff:ffff:ffff |
| 79 | fc7e:ec4e::/32 | fc7e:ec4e:ffff:ffff:ffff:ffff:ffff:ffff |
| 80 | fc7e:ec4f::/32 | fc7e:ec4f:ffff:ffff:ffff:ffff:ffff:ffff |
| 81 | fc7e:ec50::/32 | fc7e:ec50:ffff:ffff:ffff:ffff:ffff:ffff |
| 82 | fc7e:ec51::/32 | fc7e:ec51:ffff:ffff:ffff:ffff:ffff:ffff |
| 83 | fc7e:ec52::/32 | fc7e:ec52:ffff:ffff:ffff:ffff:ffff:ffff |
| 84 | fc7e:ec53::/32 | fc7e:ec53:ffff:ffff:ffff:ffff:ffff:ffff |
| 85 | fc7e:ec54::/32 | fc7e:ec54:ffff:ffff:ffff:ffff:ffff:ffff |
| 86 | fc7e:ec55::/32 | fc7e:ec55:ffff:ffff:ffff:ffff:ffff:ffff |
| 87 | fc7e:ec56::/32 | fc7e:ec56:ffff:ffff:ffff:ffff:ffff:ffff |
| 88 | fc7e:ec57::/32 | fc7e:ec57:ffff:ffff:ffff:ffff:ffff:ffff |
| 89 | fc7e:ec58::/32 | fc7e:ec58:ffff:ffff:ffff:ffff:ffff:ffff |
| 90 | fc7e:ec59::/32 | fc7e:ec59:ffff:ffff:ffff:ffff:ffff:ffff |
| 91 | fc7e:ec5a::/32 | fc7e:ec5a:ffff:ffff:ffff:ffff:ffff:ffff |
| 92 | fc7e:ec5b::/32 | fc7e:ec5b:ffff:ffff:ffff:ffff:ffff:ffff |
| 93 | fc7e:ec5c::/32 | fc7e:ec5c:ffff:ffff:ffff:ffff:ffff:ffff |
| 94 | fc7e:ec5d::/32 | fc7e:ec5d:ffff:ffff:ffff:ffff:ffff:ffff |
| 95 | fc7e:ec5e::/32 | fc7e:ec5e:ffff:ffff:ffff:ffff:ffff:ffff |
| 96 | fc7e:ec5f::/32 | fc7e:ec5f:ffff:ffff:ffff:ffff:ffff:ffff |
| 97 | fc7e:ec60::/32 | fc7e:ec60:ffff:ffff:ffff:ffff:ffff:ffff |
| 98 | fc7e:ec61::/32 | fc7e:ec61:ffff:ffff:ffff:ffff:ffff:ffff |
| 99 | fc7e:ec62::/32 | fc7e:ec62:ffff:ffff:ffff:ffff:ffff:ffff |
| 100 | fc7e:ec63::/32 | fc7e:ec63:ffff:ffff:ffff:ffff:ffff:ffff |
| 101 | fc7e:ec64::/32 | fc7e:ec64:ffff:ffff:ffff:ffff:ffff:ffff |
| 102 | fc7e:ec65::/32 | fc7e:ec65:ffff:ffff:ffff:ffff:ffff:ffff |
| 103 | fc7e:ec66::/32 | fc7e:ec66:ffff:ffff:ffff:ffff:ffff:ffff |
| 104 | fc7e:ec67::/32 | fc7e:ec67:ffff:ffff:ffff:ffff:ffff:ffff |
| 105 | fc7e:ec68::/32 | fc7e:ec68:ffff:ffff:ffff:ffff:ffff:ffff |
| 106 | fc7e:ec69::/32 | fc7e:ec69:ffff:ffff:ffff:ffff:ffff:ffff |
| 107 | fc7e:ec6a::/32 | fc7e:ec6a:ffff:ffff:ffff:ffff:ffff:ffff |
| 108 | fc7e:ec6b::/32 | fc7e:ec6b:ffff:ffff:ffff:ffff:ffff:ffff |
| 109 | fc7e:ec6c::/32 | fc7e:ec6c:ffff:ffff:ffff:ffff:ffff:ffff |
| 110 | fc7e:ec6d::/32 | fc7e:ec6d:ffff:ffff:ffff:ffff:ffff:ffff |
| 111 | fc7e:ec6e::/32 | fc7e:ec6e:ffff:ffff:ffff:ffff:ffff:ffff |
| 112 | fc7e:ec6f::/32 | fc7e:ec6f:ffff:ffff:ffff:ffff:ffff:ffff |
| 113 | fc7e:ec70::/32 | fc7e:ec70:ffff:ffff:ffff:ffff:ffff:ffff |
| 114 | fc7e:ec71::/32 | fc7e:ec71:ffff:ffff:ffff:ffff:ffff:ffff |
| 115 | fc7e:ec72::/32 | fc7e:ec72:ffff:ffff:ffff:ffff:ffff:ffff |
| 116 | fc7e:ec73::/32 | fc7e:ec73:ffff:ffff:ffff:ffff:ffff:ffff |
| 117 | fc7e:ec74::/32 | fc7e:ec74:ffff:ffff:ffff:ffff:ffff:ffff |
| 118 | fc7e:ec75::/32 | fc7e:ec75:ffff:ffff:ffff:ffff:ffff:ffff |
| 119 | fc7e:ec76::/32 | fc7e:ec76:ffff:ffff:ffff:ffff:ffff:ffff |
| 120 | fc7e:ec77::/32 | fc7e:ec77:ffff:ffff:ffff:ffff:ffff:ffff |
| 121 | fc7e:ec78::/32 | fc7e:ec78:ffff:ffff:ffff:ffff:ffff:ffff |
| 122 | fc7e:ec79::/32 | fc7e:ec79:ffff:ffff:ffff:ffff:ffff:ffff |
| 123 | fc7e:ec7a::/32 | fc7e:ec7a:ffff:ffff:ffff:ffff:ffff:ffff |
| 124 | fc7e:ec7b::/32 | fc7e:ec7b:ffff:ffff:ffff:ffff:ffff:ffff |
| 125 | fc7e:ec7c::/32 | fc7e:ec7c:ffff:ffff:ffff:ffff:ffff:ffff |
| 126 | fc7e:ec7d::/32 | fc7e:ec7d:ffff:ffff:ffff:ffff:ffff:ffff |
| 127 | fc7e:ec7e::/32 | fc7e:ec7e:ffff:ffff:ffff:ffff:ffff:ffff |
| 128 | fc7e:ec7f::/32 | fc7e:ec7f:ffff:ffff:ffff:ffff:ffff:ffff |
| 129 | fc7e:ec80::/32 | fc7e:ec80:ffff:ffff:ffff:ffff:ffff:ffff |
| 130 | fc7e:ec81::/32 | fc7e:ec81:ffff:ffff:ffff:ffff:ffff:ffff |
| 131 | fc7e:ec82::/32 | fc7e:ec82:ffff:ffff:ffff:ffff:ffff:ffff |
| 132 | fc7e:ec83::/32 | fc7e:ec83:ffff:ffff:ffff:ffff:ffff:ffff |
| 133 | fc7e:ec84::/32 | fc7e:ec84:ffff:ffff:ffff:ffff:ffff:ffff |
| 134 | fc7e:ec85::/32 | fc7e:ec85:ffff:ffff:ffff:ffff:ffff:ffff |
| 135 | fc7e:ec86::/32 | fc7e:ec86:ffff:ffff:ffff:ffff:ffff:ffff |
| 136 | fc7e:ec87::/32 | fc7e:ec87:ffff:ffff:ffff:ffff:ffff:ffff |
| 137 | fc7e:ec88::/32 | fc7e:ec88:ffff:ffff:ffff:ffff:ffff:ffff |
| 138 | fc7e:ec89::/32 | fc7e:ec89:ffff:ffff:ffff:ffff:ffff:ffff |
| 139 | fc7e:ec8a::/32 | fc7e:ec8a:ffff:ffff:ffff:ffff:ffff:ffff |
| 140 | fc7e:ec8b::/32 | fc7e:ec8b:ffff:ffff:ffff:ffff:ffff:ffff |
| 141 | fc7e:ec8c::/32 | fc7e:ec8c:ffff:ffff:ffff:ffff:ffff:ffff |
| 142 | fc7e:ec8d::/32 | fc7e:ec8d:ffff:ffff:ffff:ffff:ffff:ffff |
| 143 | fc7e:ec8e::/32 | fc7e:ec8e:ffff:ffff:ffff:ffff:ffff:ffff |
| 144 | fc7e:ec8f::/32 | fc7e:ec8f:ffff:ffff:ffff:ffff:ffff:ffff |
| 145 | fc7e:ec90::/32 | fc7e:ec90:ffff:ffff:ffff:ffff:ffff:ffff |
| 146 | fc7e:ec91::/32 | fc7e:ec91:ffff:ffff:ffff:ffff:ffff:ffff |
| 147 | fc7e:ec92::/32 | fc7e:ec92:ffff:ffff:ffff:ffff:ffff:ffff |
| 148 | fc7e:ec93::/32 | fc7e:ec93:ffff:ffff:ffff:ffff:ffff:ffff |
| 149 | fc7e:ec94::/32 | fc7e:ec94:ffff:ffff:ffff:ffff:ffff:ffff |
| 150 | fc7e:ec95::/32 | fc7e:ec95:ffff:ffff:ffff:ffff:ffff:ffff |
| 151 | fc7e:ec96::/32 | fc7e:ec96:ffff:ffff:ffff:ffff:ffff:ffff |
| 152 | fc7e:ec97::/32 | fc7e:ec97:ffff:ffff:ffff:ffff:ffff:ffff |
| 153 | fc7e:ec98::/32 | fc7e:ec98:ffff:ffff:ffff:ffff:ffff:ffff |
| 154 | fc7e:ec99::/32 | fc7e:ec99:ffff:ffff:ffff:ffff:ffff:ffff |
| 155 | fc7e:ec9a::/32 | fc7e:ec9a:ffff:ffff:ffff:ffff:ffff:ffff |
| 156 | fc7e:ec9b::/32 | fc7e:ec9b:ffff:ffff:ffff:ffff:ffff:ffff |
| 157 | fc7e:ec9c::/32 | fc7e:ec9c:ffff:ffff:ffff:ffff:ffff:ffff |
| 158 | fc7e:ec9d::/32 | fc7e:ec9d:ffff:ffff:ffff:ffff:ffff:ffff |
| 159 | fc7e:ec9e::/32 | fc7e:ec9e:ffff:ffff:ffff:ffff:ffff:ffff |
| 160 | fc7e:ec9f::/32 | fc7e:ec9f:ffff:ffff:ffff:ffff:ffff:ffff |
| 161 | fc7e:eca0::/32 | fc7e:eca0:ffff:ffff:ffff:ffff:ffff:ffff |
| 162 | fc7e:eca1::/32 | fc7e:eca1:ffff:ffff:ffff:ffff:ffff:ffff |
| 163 | fc7e:eca2::/32 | fc7e:eca2:ffff:ffff:ffff:ffff:ffff:ffff |
| 164 | fc7e:eca3::/32 | fc7e:eca3:ffff:ffff:ffff:ffff:ffff:ffff |
| 165 | fc7e:eca4::/32 | fc7e:eca4:ffff:ffff:ffff:ffff:ffff:ffff |
| 166 | fc7e:eca5::/32 | fc7e:eca5:ffff:ffff:ffff:ffff:ffff:ffff |
| 167 | fc7e:eca6::/32 | fc7e:eca6:ffff:ffff:ffff:ffff:ffff:ffff |
| 168 | fc7e:eca7::/32 | fc7e:eca7:ffff:ffff:ffff:ffff:ffff:ffff |
| 169 | fc7e:eca8::/32 | fc7e:eca8:ffff:ffff:ffff:ffff:ffff:ffff |
| 170 | fc7e:eca9::/32 | fc7e:eca9:ffff:ffff:ffff:ffff:ffff:ffff |
| 171 | fc7e:ecaa::/32 | fc7e:ecaa:ffff:ffff:ffff:ffff:ffff:ffff |
| 172 | fc7e:ecab::/32 | fc7e:ecab:ffff:ffff:ffff:ffff:ffff:ffff |
| 173 | fc7e:ecac::/32 | fc7e:ecac:ffff:ffff:ffff:ffff:ffff:ffff |
| 174 | fc7e:ecad::/32 | fc7e:ecad:ffff:ffff:ffff:ffff:ffff:ffff |
| 175 | fc7e:ecae::/32 | fc7e:ecae:ffff:ffff:ffff:ffff:ffff:ffff |
| 176 | fc7e:ecaf::/32 | fc7e:ecaf:ffff:ffff:ffff:ffff:ffff:ffff |
| 177 | fc7e:ecb0::/32 | fc7e:ecb0:ffff:ffff:ffff:ffff:ffff:ffff |
| 178 | fc7e:ecb1::/32 | fc7e:ecb1:ffff:ffff:ffff:ffff:ffff:ffff |
| 179 | fc7e:ecb2::/32 | fc7e:ecb2:ffff:ffff:ffff:ffff:ffff:ffff |
| 180 | fc7e:ecb3::/32 | fc7e:ecb3:ffff:ffff:ffff:ffff:ffff:ffff |
| 181 | fc7e:ecb4::/32 | fc7e:ecb4:ffff:ffff:ffff:ffff:ffff:ffff |
| 182 | fc7e:ecb5::/32 | fc7e:ecb5:ffff:ffff:ffff:ffff:ffff:ffff |
| 183 | fc7e:ecb6::/32 | fc7e:ecb6:ffff:ffff:ffff:ffff:ffff:ffff |
| 184 | fc7e:ecb7::/32 | fc7e:ecb7:ffff:ffff:ffff:ffff:ffff:ffff |
| 185 | fc7e:ecb8::/32 | fc7e:ecb8:ffff:ffff:ffff:ffff:ffff:ffff |
| 186 | fc7e:ecb9::/32 | fc7e:ecb9:ffff:ffff:ffff:ffff:ffff:ffff |
| 187 | fc7e:ecba::/32 | fc7e:ecba:ffff:ffff:ffff:ffff:ffff:ffff |
| 188 | fc7e:ecbb::/32 | fc7e:ecbb:ffff:ffff:ffff:ffff:ffff:ffff |
| 189 | fc7e:ecbc::/32 | fc7e:ecbc:ffff:ffff:ffff:ffff:ffff:ffff |
| 190 | fc7e:ecbd::/32 | fc7e:ecbd:ffff:ffff:ffff:ffff:ffff:ffff |
| 191 | fc7e:ecbe::/32 | fc7e:ecbe:ffff:ffff:ffff:ffff:ffff:ffff |
| 192 | fc7e:ecbf::/32 | fc7e:ecbf:ffff:ffff:ffff:ffff:ffff:ffff |
| 193 | fc7e:ecc0::/32 | fc7e:ecc0:ffff:ffff:ffff:ffff:ffff:ffff |
| 194 | fc7e:ecc1::/32 | fc7e:ecc1:ffff:ffff:ffff:ffff:ffff:ffff |
| 195 | fc7e:ecc2::/32 | fc7e:ecc2:ffff:ffff:ffff:ffff:ffff:ffff |
| 196 | fc7e:ecc3::/32 | fc7e:ecc3:ffff:ffff:ffff:ffff:ffff:ffff |
| 197 | fc7e:ecc4::/32 | fc7e:ecc4:ffff:ffff:ffff:ffff:ffff:ffff |
| 198 | fc7e:ecc5::/32 | fc7e:ecc5:ffff:ffff:ffff:ffff:ffff:ffff |
| 199 | fc7e:ecc6::/32 | fc7e:ecc6:ffff:ffff:ffff:ffff:ffff:ffff |
| 200 | fc7e:ecc7::/32 | fc7e:ecc7:ffff:ffff:ffff:ffff:ffff:ffff |
| 201 | fc7e:ecc8::/32 | fc7e:ecc8:ffff:ffff:ffff:ffff:ffff:ffff |
| 202 | fc7e:ecc9::/32 | fc7e:ecc9:ffff:ffff:ffff:ffff:ffff:ffff |
| 203 | fc7e:ecca::/32 | fc7e:ecca:ffff:ffff:ffff:ffff:ffff:ffff |
| 204 | fc7e:eccb::/32 | fc7e:eccb:ffff:ffff:ffff:ffff:ffff:ffff |
| 205 | fc7e:eccc::/32 | fc7e:eccc:ffff:ffff:ffff:ffff:ffff:ffff |
| 206 | fc7e:eccd::/32 | fc7e:eccd:ffff:ffff:ffff:ffff:ffff:ffff |
| 207 | fc7e:ecce::/32 | fc7e:ecce:ffff:ffff:ffff:ffff:ffff:ffff |
| 208 | fc7e:eccf::/32 | fc7e:eccf:ffff:ffff:ffff:ffff:ffff:ffff |
| 209 | fc7e:ecd0::/32 | fc7e:ecd0:ffff:ffff:ffff:ffff:ffff:ffff |
| 210 | fc7e:ecd1::/32 | fc7e:ecd1:ffff:ffff:ffff:ffff:ffff:ffff |
| 211 | fc7e:ecd2::/32 | fc7e:ecd2:ffff:ffff:ffff:ffff:ffff:ffff |
| 212 | fc7e:ecd3::/32 | fc7e:ecd3:ffff:ffff:ffff:ffff:ffff:ffff |
| 213 | fc7e:ecd4::/32 | fc7e:ecd4:ffff:ffff:ffff:ffff:ffff:ffff |
| 214 | fc7e:ecd5::/32 | fc7e:ecd5:ffff:ffff:ffff:ffff:ffff:ffff |
| 215 | fc7e:ecd6::/32 | fc7e:ecd6:ffff:ffff:ffff:ffff:ffff:ffff |
| 216 | fc7e:ecd7::/32 | fc7e:ecd7:ffff:ffff:ffff:ffff:ffff:ffff |
| 217 | fc7e:ecd8::/32 | fc7e:ecd8:ffff:ffff:ffff:ffff:ffff:ffff |
| 218 | fc7e:ecd9::/32 | fc7e:ecd9:ffff:ffff:ffff:ffff:ffff:ffff |
| 219 | fc7e:ecda::/32 | fc7e:ecda:ffff:ffff:ffff:ffff:ffff:ffff |
| 220 | fc7e:ecdb::/32 | fc7e:ecdb:ffff:ffff:ffff:ffff:ffff:ffff |
| 221 | fc7e:ecdc::/32 | fc7e:ecdc:ffff:ffff:ffff:ffff:ffff:ffff |
| 222 | fc7e:ecdd::/32 | fc7e:ecdd:ffff:ffff:ffff:ffff:ffff:ffff |
| 223 | fc7e:ecde::/32 | fc7e:ecde:ffff:ffff:ffff:ffff:ffff:ffff |
| 224 | fc7e:ecdf::/32 | fc7e:ecdf:ffff:ffff:ffff:ffff:ffff:ffff |
| 225 | fc7e:ece0::/32 | fc7e:ece0:ffff:ffff:ffff:ffff:ffff:ffff |
| 226 | fc7e:ece1::/32 | fc7e:ece1:ffff:ffff:ffff:ffff:ffff:ffff |
| 227 | fc7e:ece2::/32 | fc7e:ece2:ffff:ffff:ffff:ffff:ffff:ffff |
| 228 | fc7e:ece3::/32 | fc7e:ece3:ffff:ffff:ffff:ffff:ffff:ffff |
| 229 | fc7e:ece4::/32 | fc7e:ece4:ffff:ffff:ffff:ffff:ffff:ffff |
| 230 | fc7e:ece5::/32 | fc7e:ece5:ffff:ffff:ffff:ffff:ffff:ffff |
| 231 | fc7e:ece6::/32 | fc7e:ece6:ffff:ffff:ffff:ffff:ffff:ffff |
| 232 | fc7e:ece7::/32 | fc7e:ece7:ffff:ffff:ffff:ffff:ffff:ffff |
| 233 | fc7e:ece8::/32 | fc7e:ece8:ffff:ffff:ffff:ffff:ffff:ffff |
| 234 | fc7e:ece9::/32 | fc7e:ece9:ffff:ffff:ffff:ffff:ffff:ffff |
| 235 | fc7e:ecea::/32 | fc7e:ecea:ffff:ffff:ffff:ffff:ffff:ffff |
| 236 | fc7e:eceb::/32 | fc7e:eceb:ffff:ffff:ffff:ffff:ffff:ffff |
| 237 | fc7e:ecec::/32 | fc7e:ecec:ffff:ffff:ffff:ffff:ffff:ffff |
| 238 | fc7e:eced::/32 | fc7e:eced:ffff:ffff:ffff:ffff:ffff:ffff |
| 239 | fc7e:ecee::/32 | fc7e:ecee:ffff:ffff:ffff:ffff:ffff:ffff |
| 240 | fc7e:ecef::/32 | fc7e:ecef:ffff:ffff:ffff:ffff:ffff:ffff |
| 241 | fc7e:ecf0::/32 | fc7e:ecf0:ffff:ffff:ffff:ffff:ffff:ffff |
| 242 | fc7e:ecf1::/32 | fc7e:ecf1:ffff:ffff:ffff:ffff:ffff:ffff |
| 243 | fc7e:ecf2::/32 | fc7e:ecf2:ffff:ffff:ffff:ffff:ffff:ffff |
| 244 | fc7e:ecf3::/32 | fc7e:ecf3:ffff:ffff:ffff:ffff:ffff:ffff |
| 245 | fc7e:ecf4::/32 | fc7e:ecf4:ffff:ffff:ffff:ffff:ffff:ffff |
| 246 | fc7e:ecf5::/32 | fc7e:ecf5:ffff:ffff:ffff:ffff:ffff:ffff |
| 247 | fc7e:ecf6::/32 | fc7e:ecf6:ffff:ffff:ffff:ffff:ffff:ffff |
| 248 | fc7e:ecf7::/32 | fc7e:ecf7:ffff:ffff:ffff:ffff:ffff:ffff |
| 249 | fc7e:ecf8::/32 | fc7e:ecf8:ffff:ffff:ffff:ffff:ffff:ffff |
| 250 | fc7e:ecf9::/32 | fc7e:ecf9:ffff:ffff:ffff:ffff:ffff:ffff |
| 251 | fc7e:ecfa::/32 | fc7e:ecfa:ffff:ffff:ffff:ffff:ffff:ffff |
| 252 | fc7e:ecfb::/32 | fc7e:ecfb:ffff:ffff:ffff:ffff:ffff:ffff |
| 253 | fc7e:ecfc::/32 | fc7e:ecfc:ffff:ffff:ffff:ffff:ffff:ffff |
| 254 | fc7e:ecfd::/32 | fc7e:ecfd:ffff:ffff:ffff:ffff:ffff:ffff |
| 255 | fc7e:ecfe::/32 | fc7e:ecfe:ffff:ffff:ffff:ffff:ffff:ffff |
| 256 | fc7e:ecff::/32 | fc7e:ecff:ffff:ffff:ffff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |